<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-settings-dependencies.qdoc -->
  <title>Specifying Dependencies | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Specifying Dependencies</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-code-style-settings.html" />
  <link rel="next" href="creator-sharing-project-settings.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-code-style-settings.html">Specifying Code Style Settings</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-sharing-project-settings.html">Sharing Project Settings</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Specifying Dependencies</h1>
<span class="subtitle"></span>
<!-- $$$creator-build-dependencies.html-description -->
<div class="descr"> <a name="details"></a>
<p>If you have multiple projects loaded in a session, you can define the order in which they are built. For example, if project A depends on project B, project B must be built first.</p>
<p><b>Note: </b>The build order is stored as a property of a session, not a project. You must open the session for these settings to take effect. For more information, see <a href="creator-project-managing-sessions.html">Managing Sessions</a>.</p><p class="centerAlign"><img src="images/qtcreator-build-dependencies.png" alt="&quot;Dependencies view&quot;" /></p><p>To define the build order of projects within a session:</p>
<ol class="1" type="1"><li>Select <b>Projects</b> &gt; <b>Project Settings</b> &gt; <b>Dependencies</b>.</li>
<li>Select projects that must be built before the current project is built.</li>
<li>Select the <b>Synchronize configuration</b> check box to use the same kit as well as the same build and deploy configuration to build and deploy all dependent projects loaded in a session.</li>
</ol>
<p>Qt Creator calculates the build order based on the dependencies that you specify for the projects loaded in the session.</p>
<p><b>Note: </b>You cannot use this view to specify subprojects for projects. For more information on how to add subprojects, see <a href="creator-project-creating.html#adding-subprojects-to-projects">Adding Subprojects to Projects</a>.</p></div>
<!-- @@@creator-build-dependencies.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-code-style-settings.html">Specifying Code Style Settings</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-sharing-project-settings.html">Sharing Project Settings</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
